### Function

# FwupdPlugin Firmware set_images_max

since: 2.1.6

#### Declaration [src]

    void
    fu_firmware_set_images_max (
      FuFirmwareClass* klass,
      guint images_max
    )

#### Description [src]

Sets the maximum number of images this container can hold.

Available since: 2.1.6

#### Parameters

`klass`

  Type: `FuFirmwareClass`

  A `FuFirmwareClass`.

  The data is owned by the caller of the function.

`images_max`

  Type: `guint`

  Integer, or 0 for unlimited.